Top Description Interfaces Classes
module bcutil

Package org.bouncycastle.asn1.cms


Support classes useful for encoding and supporting Cryptographic Message Syntax as described in PKCS#7 and RFC 3369 (formerly RFC 2630).

Interface Summary

Modifier and TypeInterface and Description
public interface
CMSAttributes

RFC 5652 CMS attribute OID constants, RFC 6019 Binary Time, and RFC 6211 Algorithm Identifier Protection Attribute.

public interface

Class Summary

Modifier and TypeClass and Description
public class
Attribute

RFC 5652: Attribute is a pair of OID (as type identifier) + set of values.

public class
Attributes

RFC 5652 defines 5 "SET OF Attribute" entities with 5 different names.

public class
AttributeTable

This is helper tool to construct Attributes sets.

public class
AuthenticatedData

RFC 5652 section 9.1: The AuthenticatedData carries AuthAttributes and other data which define what really is being signed.

public class
public class
AuthEnvelopedData

RFC 5083: CMS AuthEnveloped Data object.

public class
public class
CCMParameters

RFC 5084: CCMParameters object.

public class
CMSAlgorithmProtection

From RFC 6211

CMSAlgorithmProtection ::= SEQUENCE {
   digestAlgorithm         DigestAlgorithmIdentifier,
   signatureAlgorithm  [1] SignatureAlgorithmIdentifier OPTIONAL,
   macAlgorithm        [2] MessageAuthenticationCodeAlgorithm
                                    OPTIONAL
}
(WITH COMPONENTS { signatureAlgorithm PRESENT,
                   macAlgorithm ABSENT } |
 WITH COMPONENTS { signatureAlgorithm ABSENT,
                   macAlgorithm PRESENT })
public class
CMSORIforKEMOtherInfo

 CMSORIforKEMOtherInfo ::= SEQUENCE {
    wrap KeyEncryptionAlgorithmIdentifier,
    kekLength INTEGER (1..65535),
    ukm [0] EXPLICIT UserKeyingMaterial OPTIONAL
  }

  UserKeyingMaterial ::= OCTET STRING
public class
CompressedData

RFC 3274: CMS Compressed Data.

public class
public class
ContentInfo

RFC 5652 ContentInfo, and RFC 5652 EncapsulatedContentInfo objects.

public class
public class
DigestedData

RFC 5652 DigestedData object.

public class
EncryptedContentInfo

RFC 5652 EncryptedContentInfo object.

public class
EncryptedContentInfoParser

Parser for RFC 5652 EncryptedContentInfo object.

public class
EncryptedData

RFC 5652 EncryptedData object.

public class
EnvelopedData

RFC 5652 EnvelopedData object.

public class
public class
Evidence

RFC 5544: Binding Documents with Time-Stamps; Evidence object.

public class
GCMParameters

RFC 5084: GCMParameters object.

public class
GenericHybridParameters

RFC 5990 GenericHybridParameters class.

public class
IssuerAndSerialNumber

RFC 5652: IssuerAndSerialNumber object.

public class
KEKIdentifier

RFC 5652: Content encryption key delivery mechanisms.

public class
KEKRecipientInfo

RFC 5652: Content encryption key delivery mechanisms.

public class
public class
KeyAgreeRecipientIdentifier

RFC 5652: Content encryption key delivery mechanisms.

public class
KeyAgreeRecipientInfo

RFC 5652: Content encryption key delivery mechanisms.

public class
KeyTransRecipientInfo

RFC 5652: Content encryption key delivery mechanisms.

public class
MetaData

RFC 5544: Binding Documents with Time-Stamps; MetaData object.

public class
OriginatorIdentifierOrKey

RFC 5652: Content encryption key delivery mechanisms.

public class
OriginatorInfo

RFC 5652: OriginatorInfo object.

public class
OriginatorPublicKey

RFC 5652: Content encryption key delivery mechanisms.

public class
OtherKeyAttribute

RFC 5652: OtherKeyAttribute object.

public class
OtherRecipientInfo

RFC 5652: Content encryption key delivery mechanisms.

public class
OtherRevocationInfoFormat

RFC 5652: OtherRevocationInfoFormat object.

public class
PasswordRecipientInfo

RFC 5652: Content encryption key delivery mechanisms.

public class
RecipientEncryptedKey

RFC 5652: Content encryption key delivery mechanisms.

public class
RecipientIdentifier

RFC 5652: Content encryption key delivery mechanisms.

public class
RecipientInfo

RFC 5652: Content encryption key delivery mechanisms.

public class
RecipientKeyIdentifier

RFC 5652: Content encryption key delivery mechanisms.

public class
RsaKemParameters

RFC 5990 RSA KEM parameters class.

public class
SCVPReqRes

RFC 5940: Additional Cryptographic Message Syntax (CMS) Revocation Information Choices.

public class
SignedData

RFC 5652:

A signed data object containing multitude of SignerInfos.

public class
public class
SignerIdentifier

RFC 5652: Identify who signed the containing SignerInfo object.

public class
SignerInfo

RFC 5652: Signature container per Signer, see SignerIdentifier.

public class
Time

RFC 5652: Dual-mode timestamp format producing either UTCTIme or GeneralizedTime.

public class
TimeStampAndCRL

RFC 5544 Binding Documents with Time-Stamps; TimeStampAndCRL object.

public class
TimeStampedData

RFC 5544: Binding Documents with Time-Stamps; TimeStampedData object.

public class
public class
TimeStampTokenEvidence

RFC 5544 Binding Documents with Time-Stamps; TimeStampTokenEvidence object.